// Copyright 2016, University of Colorado Boulder

/**
 *
 * @param string
 * @returns {{error: null}|string} Object containing value error, which contains a message if the validation was not successful and is null otherwise
 */
window.validationRule = function( string ) {
  'use strict';

  var list = [ '1', '2', '3', '4', '1234' ];

  /**
   *  Add a testing id for all validation rules: phettest
   */
  list.push( 'phettest' );

  if ( list.indexOf( string ) >= 0 ) {
    return { error: null };
  }
  else {
    return { error: 'Error: "' + string + '" is not an approved ID' };
  }
};